#include <iostream>
#include <vector>
using namespace std;
int main()
{
    long long int n;
    cin >> n;
    vector<long long int>a(n);
    vector<long long int>b(n);
    int ka = 1;
    int kb = 1;
    long long int rez = 0;
    long long int rezk;
    for (int i = 0; i < n; i ++){
        cin >> a[i];
        if (a[i]!=1){
            ka = 0;
        }
    }
    for (int i = 0; i < n; i ++){
        cin >> b[i];
        if (b[i]!=1){
            kb = 0;
        }
    }
    if (ka == 1){
        if (n%2 == 0){
            rez = 0;
        }
        else{
            rezk = -1;
            for (int i = 0; i < n; i++){
                for (int j = i; j < n; j++){
                    if (i == j){
                        rezk = b[i];
                    }
                    for (int k = 0; k < j - i; k++){
                        rezk = rezk & b[i+k];
                    }
                    if (rezk > rez){
                        rez = rezk;
                    }
                }
            }
        }
    }
    else if (kb == 1){
        rezk = 0;
        for (int i = 0; i < n; i++){
            for (int j = i; j < n; j++){
                if (i == j){
                    rezk = a[i];
                }
                for (int k = 0; k < j - i; k++){
                    rezk = rezk ^ a[i+k];
                }
                if (rezk > rez){
                    rez = rezk;
                }
            }
        }
    }
    cout << rez;
    return 0;
}